package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ReportProBean {

    /**
     * success : true
     * data : [{"productId":"7103010078D","productName":"中包浸入式下水口J596","productCode":"7103010078D","specification":"3期","drawingNumber":"J596","scrapCount":2,"scrapReason":"长水口","unitPrice":0,"amountOfLoss":0,"orderCount":3,"manufactureOrderNumber":"DX200615001","scrapRate":0,"ocerCount":0}]
     * message : 操作成功
     * code : 10000000
     * status : null
     */

    private boolean success;
    private String message;
    private String code;
    private Object status;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Object getStatus() {
        return status;
    }

    public void setStatus(Object status) {
        this.status = status;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * productId : 7103010078D
         * productName : 中包浸入式下水口J596
         * productCode : 7103010078D
         * specification : 3期
         * drawingNumber : J596
         * scrapCount : 2
         * scrapReason : 长水口
         * unitPrice : 0.0
         * amountOfLoss : 0.0
         * orderCount : 3
         * manufactureOrderNumber : DX200615001
         * scrapRate : 0.0
         * ocerCount : 0
         */

        private String productId;
        private String productName;
        private String productCode;
        private String specification;
        private String drawingNumber;
        private int scrapCount;
        private String scrapReason;
        private double unitPrice;
        private double amountOfLoss;
        private int orderCount;
        private String manufactureOrderNumber;
        private double scrapRate;
        private int ocerCount;

        public String getProductId() {
            return productId;
        }

        public void setProductId(String productId) {
            this.productId = productId;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getProductCode() {
            return productCode;
        }

        public void setProductCode(String productCode) {
            this.productCode = productCode;
        }

        public String getSpecification() {
            return specification;
        }

        public void setSpecification(String specification) {
            this.specification = specification;
        }

        public String getDrawingNumber() {
            return drawingNumber;
        }

        public void setDrawingNumber(String drawingNumber) {
            this.drawingNumber = drawingNumber;
        }

        public int getScrapCount() {
            return scrapCount;
        }

        public void setScrapCount(int scrapCount) {
            this.scrapCount = scrapCount;
        }

        public String getScrapReason() {
            return scrapReason;
        }

        public void setScrapReason(String scrapReason) {
            this.scrapReason = scrapReason;
        }

        public double getUnitPrice() {
            return unitPrice;
        }

        public void setUnitPrice(double unitPrice) {
            this.unitPrice = unitPrice;
        }

        public double getAmountOfLoss() {
            return amountOfLoss;
        }

        public void setAmountOfLoss(double amountOfLoss) {
            this.amountOfLoss = amountOfLoss;
        }

        public int getOrderCount() {
            return orderCount;
        }

        public void setOrderCount(int orderCount) {
            this.orderCount = orderCount;
        }

        public String getManufactureOrderNumber() {
            return manufactureOrderNumber;
        }

        public void setManufactureOrderNumber(String manufactureOrderNumber) {
            this.manufactureOrderNumber = manufactureOrderNumber;
        }

        public double getScrapRate() {
            return scrapRate;
        }

        public void setScrapRate(double scrapRate) {
            this.scrapRate = scrapRate;
        }

        public int getOcerCount() {
            return ocerCount;
        }

        public void setOcerCount(int ocerCount) {
            this.ocerCount = ocerCount;
        }
    }
}
